routes/web.php
<?php
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */
//site horarios
Route::get('/home', 'HomeController@index')->name('home');
Route::get("/", "HomeController@index")->name('home.index');
Route::post('horariosHome','HomeController@horariosHome')->name('horariosHome');
Route::get('/admin', function () {
    return view('admin.index');
})->middleware('auth');


Route::prefix('admin')->group(function () {
    Route::resource('empresas', 'Admin\EmpresaController')->middleware('auth');
    Route::resource('horarios', 'Admin\HorarioController')->middleware('auth');
    Route::resource('atendimentos', 'Admin\AtendimentoController')->middleware('auth');
    Route::resource('veiculos', 'Admin\VeiculoController')->middleware('auth');
    Route::resource('funcionarios', 'Admin\FuncionarioController')->middleware('auth');
    Route::resource('tipos', 'Admin\TipoController')->middleware('auth');
    Route::resource('chassis', 'Admin\ChassiController')->middleware('auth');
    Route::resource('carrocerias', 'Admin\CarroceriaController')->middleware('auth');
    Route::resource('linhas', 'Admin\LinhaController')->middleware('auth');
    Route::get('/grafuteis', 'Admin\HorarioController@graficoUteis')->middleware('auth');
    Route::get('/grafsabados', 'Admin\HorarioController@graficoSabados')->middleware('auth');
    Route::get('/grafdomingos', 'Admin\HorarioController@graficoDomingos')->middleware('auth');
    Route::get('/horariosPDF', 'Admin\HorarioController@relatorio');
    Route::get('/horariosFiltro', 'Admin\HorarioController@horariosFiltro')->name('horariosFitro')->middleware('auth');
    Route::get('/atendimentosFiltro', 'Admin\AtendimentoController@atendimentosFiltro')->name('atendimentosFitro')->middleware('auth');
    Route::get('/funcionariosFiltro', 'Admin\FuncionarioController@funcionariosFiltro')->name('funcionariosFitro')->middleware('auth');
    Route::get('/empresasFiltro', 'Admin\EmpresaController@empresasFiltro')->name('empresasFitro')->middleware('auth');
    Route::get('/veiculosFiltro', 'Admin\VeiculoController@veiculosFiltro')->name('veiculosFitro')->middleware('auth');
    Route::get('/horariosImportFiltro', 'Admin\HorarioController@horariosImportFiltro')->name('horariosImportFiltro')->middleware('auth');
    Route::post('/horariosImport', 'Admin\HorarioController@horariosImport')->name('horariosImport')->middleware('auth');
    Route::get('/guiasFiltro', 'Admin\HorarioController@guiasFiltro')->name('guiasFitro')->middleware('auth');
    Route::get('/guia', 'Admin\HorarioController@guia')->middleware('auth');;
    Route::get('/importacao', 'Admin\HorarioController@importacao')->middleware('auth');
    Route::post('horariosRelatorio','Admin\HorarioController@horariosRelatorio')->name('horariosRelatorio');
    Route::post('funcioanariosRelatorio','Admin\FuncionarioController@funcionariosRelatorio')->name('funcionariosRelatorio');
    Route::post('empresasRelatorio','Admin\EmpresaController@empresasRelatorio')->name('empresasRelatorio');
    Route::post('veiculosRelatorio','Admin\VeiculoController@veiculosRelatorio')->name('veiculosRelatorio');
    Route::post('atendimentosRelatorio','Admin\AtendimentoController@atendimentosRelatorio')->name('atendimentosRelatorio');
    Route::post('guiaPDF','Admin\HorarioController@guiaPDF')->name('guiaPDF');
    

});
Auth::routes();

resources/views/admin/atendimentos_form.blade.php
@extends('adminlte::page')
@extends('formulario')
@section('title', 'Cadastro de Atendimentos')
@section('content_header')
@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
@if ($acao==1)
<h2>Inclusão de Atendimentos
    @elseif ($acao ==2)
    <h2>Alteração de Atendimentos
        @endif
        <a href="{{ route('atendimentos.index') }}" class="btn btn-primary pull-right" role="button">Voltar</a>
    </h2>
    @endsection
    @section('content')
    <div class="container-fluid">
        @if ($acao==1)
        <form method="POST" action="{{ route('atendimentos.store') }}" enctype="multipart/form-data">
        <div class="row">
                
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="nome">Nome do Atendimento:</label>
                        <input type="text" id="nome" name="nome" required onkeyup="maiuscula(this)"
                             class="form-control">
                    </div>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <label for="linhas_id">Linha:</label>
                        <select id="linhas_id" name="linhas_id" class="form-control">
                            @foreach($linhas as $l)
                            <option value="{{$l->id}}">
                                {{$l->nome}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-sm-1">
                    <div class="form-group">
                        <label for="km_ida">Km de Ida:</label>
                        <input type="text" id="km_ida" name="km_ida" required
                             class="form-control">
                    </div>
                </div>

                <div class="col-sm-1">
                    <div class="form-group">
                        <label for="km_volta">Km Volta:</label>
                        <input type="text" id="km_volta" name="km_volta" required
                            class="form-control">
                    </div>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <label for="codatendimento">Cód. Atendimento:</label>
                        <input type="number" id="codatendimento" name="codatendimento" 
                            class="form-control">
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="descricao">Descrição:</label>
                        <textarea input type="text" id="descricao" name="descricao" 
                             class="form-control"></textarea>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="foto">Foto:</label>
                        <input type="file" id="foto" name="foto"  class="form-control">
                    </div>
                </div>
                <div class="col-sm-2">
                    <label for="ativo">Status:</label><br>
                    <select name="ativo" class="form-control">
                        <option selected="">
                        </option>
                        <option value="Ativo">Ativo</option>
                        <option value="Inativo">Inativo</option>
                    </select>
                </div>
            </div>
            @elseif ($acao==2)
            <form method="POST" action="{{route('atendimentos.update', $reg->id)}}" enctype="multipart/form-data">
                {!! method_field('put') !!}
                <div class="row">
                
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="nome">Nome do Atendimento:</label>
                        <input type="text" id="nome" name="nome" required onkeyup="maiuscula(this)"
                            value="{{$reg->nome}}" class="form-control">
                    </div>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <label for="linhas_id">Linha:</label>
                        <select id="linhas_id" name="linhas_id" class="form-control">
                            @foreach($linhas as $l)
                            <option value="{{$l->id}}" {{ ((isset($reg) and
                             $reg->linhas_id == $l->id) == $l->id) ? "selected" : "" }}>
                                {{$l->nome}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-sm-1">
                    <div class="form-group">
                        <label for="km_ida">Km de Ida:</label>
                        <input type="text" id="km_ida" name="km_ida" required
                            value="{{number_format($reg->km_ida, 1, ',', '.')}}" class="form-control">
                    </div>
                </div>

                <div class="col-sm-1">
                    <div class="form-group">
                        <label for="km_volta">Km Volta:</label>
                        <input type="text" id="km_volta" name="km_volta" required
                            value="{{number_format($reg->km_volta, 1, ',', '.')}}" class="form-control">
                    </div>
                </div>
                <div class="col-sm-2">
                    <div class="form-group">
                        <label for="codatendimento">Cód. Atendimento:</label>
                        <input type="number" id="codatendimento" name="codatendimento" 
                            value="{{$reg->codatendimento}}" class="form-control">
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="descricao">Descrição:</label>
                        <textarea input type="text" id="descricao" name="descricao" 
                            value="{{$reg->descricao}}" class="form-control">{{$reg->descricao}}</textarea>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label for="foto">Foto:</label>
                        <input type="file" id="foto" name="foto"  class="form-control">
                    </div>
                </div>
                <div class="col-sm-2">
                    <label for="ativo">Status:</label><br>
                    <select name="ativo" class="form-control">
                        <option selected="{{$reg->ativo}}">{{$reg->ativo }}
                        </option>
                        <option value="Ativo">Ativo</option>
                        <option value="Inativo">Inativo</option>
                    </select>
                </div>
            </div>
                @endif
                {{ csrf_field() }}
               
                
                <input type="hidden" id="users_id" name="users_id" required value="{{ Auth::user()->id }}">
                <input type="submit" value="Enviar" class="btn btn-success">
                
            </form>
    </div>
    @endsection
    @section('js')
    <script src="https://code.jquery.com/jquery-latest.min.js"></script>
    <script src="/js/jquery.mask.min.js"></script>
    <script>
    $(document).ready(function() {
        $('#km_ida').mask('#.###.##0,0', {
            reverse: true
        });
        $('#km_volta').mask('#.###.##0,0', {
            reverse: true
        });
    });
    </script>
   

    @endsection
    @section('content')
    

resources/views/admin/atendimentos_list.blade.php
@extends('adminlte::page')
@section('title', 'Cadastro de Atendimentos')
@section('content_header')
<h1>Cadastro de Atendimentos
    <a href="{{ route('atendimentos.create') }}" class="btn btn-primary pull-right" role="button">Novo</a>
</h1>
@stop
@section('content')
@if (session('status'))
<div class="alert alert-success">
    {{ session('status') }}
</div>
@endif
<table class="table table-striped">
    <thead>
        <tr>
            <th>Nome</th>
            <th>Linha</th>
            <th>Km de Ida</th>
            <th>Km de Volta</th>
            <th>Cod. Atendimento</th>
            <th>Alteração</th>
            <th>Foto</th>
            <th>Obs.</th>
            <th>Status</th>
            <th>Ações</th>
        </tr>
    </thead>
    <tbody>
        @forelse ($atendimentos as $l)
        <tr>
            <td> {{$l->nome}} </td>
            <td> {{$l->linhas->nome}} </td>
            <td> {{number_format($l->km_ida, 1, ',', '.')}}</td>
            <td> {{number_format($l->km_volta, 1, ',', '.')}} </td>
            <td> {{$l->codatendimento}} </td>
            <td> {{$l->users->name}} </td>
            <td>
                @if (Storage::exists($l->foto))
                <img src="{{url('storage/'.$l->foto)}}" style="width: 100px; height: 60px" alt="Foto">
                @else
                <img src="{{url('storage/fotos/semfoto.png')}}" style="width: 100px; height: 60px" alt="Foto">
                @endif
            </td>
            
            <td> {{$l->descricao}} </td>
            <td> {{$l->ativo}} </td>
            <td>
                <a href="{{route('atendimentos.edit', $l->id)}}" class="btn btn-warning btn-sm" title="Alterar"
                    role="button"><i class="fa fa-edit"></i></a> &nbsp;&nbsp;
            <!--    <form style="display: inline-block" method="post" action="{{route('atendimentos.destroy', $l->id)}}"
                    onsubmit="return confirm('Confirma Exclusão?')">
                    {{method_field('delete')}}
                    {{csrf_field()}}
                    <button type="submit" title="Excluir" class="btn btn-danger btn-sm"><i
                            class="far fa-trash-alt"></i></button>
                </form>
                !-->
            </td>

            @if ($loop->iteration == $loop->count)
        <tr>
            <td colspan=8>Total de Atendimentos cadastrados: {{$numAtendimentos}}
            </td>
        </tr>
        @endif
        @empty
        <tr>
            <td colspan=8> Não há Atendimentos cadastradas ou
                para o filtro informado </td>
        </tr>
        @endforelse
    </tbody>
</table>
{{ $atendimentos->links() }}
@stop
@section('js')
<script defer src="https://use.fontawesome.com/releases/v5.0.10/js/all.js"
    integrity="sha384-slN8GvtUJGnv6ca26v8EzVaR9DC58QEwsIk9q1QXdCU8Yu8ck/tL/5szYlBbqmS+" crossorigin="anonymous">
</script>
@endsection

resources/views/admin/chassis_form.blade.php
@extends('adminlte::page')
@extends('formulario')
@section('title', 'Cadastro de Motores')
@section('content_header')
@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
@if ($acao==1)
<h2>Inclusão de Motores
    @elseif ($acao ==2)
    <h2>Alteração de Motores
        @endif
        <a href="{{ route('chassis.index') }}" class="btn btn-primary pull-right" role="button">Voltar</a>
    </h2>
    @endsection
    @section('content')
    <div class="container-fluid">
        @if ($acao==1)
        <form method="POST" action="{{ route('chassis.store') }}" enctype="multipart/form-data">
        <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="nome">Nome da Fábrica:</label>
                            <input type="text" id="nome" name="nome" required onkeyup="maiuscula(this)"
                                class="form-control">
                        </div>
                    </div>

                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="ano">Endereço:</label>
                            <input type="text" id="endereco" name="endereco"  onkeyup="maiuscula(this)"
                                 class="form-control">
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <div class="form-group">
                            <label for="telefone">Telefone:</label>
                            <input type="number" id="telefone" name="telefone" 
                                 class="form-control">


                        </div>
                    </div>

                    <div class="col-sm-3">
                        <div class="form-group">
                            <label for="email">E-mail:</label>
                            <input type="email" id="email" name="email"  
                                class="form-control">

                        </div>
                    </div>

                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="descricao">Descrição:</label>
                            <textarea input type="text" id="descricao" name="descricao" 
                              
                                class="form-control"></textarea>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <label for="ativo">Status:</label><br>
                        <select name="ativo" class="form-control">
                            <option selected="">
                            </option>
                            <option value="Ativo">Ativo</option>
                            <option value="Inativo">Inativo</option>
                        </select>
                    </div>
                </div>
          
            @elseif ($acao==2)
            <form method="POST" action="{{route('chassis.update', $reg->id)}}" enctype="multipart/form-data">
                {!! method_field('put') !!}
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="nome">Nome da Fábrica:</label>
                            <input type="text" id="nome" name="nome" required onkeyup="maiuscula(this)"
                                value="{{$reg->nome}}" class="form-control">
                        </div>
                    </div>

                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="ano">Endereço:</label>
                            <input type="text" id="endereco" name="endereco"  onkeyup="maiuscula(this)"
                                value="{{$reg->endereco}}" class="form-control">
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <div class="form-group">
                            <label for="telefone">Telefone:</label>
                            <input type="number" id="telefone" name="telefone" 
                                value="{{$reg->telefone}}" class="form-control">


                        </div>
                    </div>

                    <div class="col-sm-3">
                        <div class="form-group">
                            <label for="email">E-mail:</label>
                            <input type="email" id="email" name="email"  value="{{$reg->email}}"
                                class="form-control">

                        </div>
                    </div>

                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="descricao">Descrição:</label>
                            <textarea input type="text" id="descricao" name="descricao" 
                                value="{{$reg->descricao}}"
                                class="form-control">{{$reg->descricao}}</textarea>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <label for="ativo">Status:</label><br>
                        <select name="ativo" class="form-control">
                            <option selected="">{{$reg->ativo}}
                            </option>
                            <option value="Ativo">Ativo</option>
                            <option value="Inativo">Inativo</option>
                        </select>
                    </div>
                </div>
                @endif
                {{ csrf_field() }}
               
                <div class="form-group">
                    <input type="hidden" id="users_id" name="users_id" required value="{{ Auth::user()->id }}">
                    <input type="submit" value="Enviar" class="btn btn-success">
                    <input type="reset" value="Limpar" class="btn btn-warning">
            </form>

    </div>
    @endsection
    @section('js')
    <script src="https://code.jquery.com/jquery-latest.min.js"></script>
    <script src="/js/jquery.mask.min.js"></script>
    @endsection

resources/views/admin/empresas_form.blade.php
@extends('adminlte::page')
@extends('formulario')
@section('title', 'Cadastro de Empresas')

@section('content_header')
@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
@if ($acao==1)
<h2>Inclusão de Empresas
    @elseif ($acao ==2)
    <h2>Alteração de Empresas
        @endif

        <a href="{{ route('empresas.index') }}" class="btn btn-primary pull-right" role="button">Voltar</a>
    </h2>

    @endsection

    @section('content')

    <div class="container-fluid">

        @if ($acao==1)
        <form method="POST" action="{{ route('empresas.store') }}" enctype="multipart/form-data">
        <div class="row">
                    <div class="col-sm-2">
                        <div class="form-group">
                            <label for="empresa">Empresa:</label>
                            <input type="text" id="nome" name="nome" required onkeyup="maiuscula(this)"
                                class="form-control">

                        </div>
                    </div>

                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="endereco">Endereço:</label>
                            <input type="text" id="endereco" name="endereco" onkeyup="maiuscula(this)"
                                class="form-control">

                        </div>
                    </div>

                    <div class="col-sm-2">
                        <div class="form-group">
                            <label for="cep">Cep:</label>
                            <input type="number" id="cep" name="cep"  
                                class="form-control">


                        </div>
                    </div>

                    <div class="col-sm-2">
                        <div class="form-group">
                            <label for="cnpj">CNPJ:</label>
                            <input type="number" id="cnpj" name="cnpj" 
                                class="form-control">


                        </div>
                    </div>

                    <div class="col-sm-2">
                        <div class="form-group">
                            <label for="telefone">Telefone:</label>
                            <input type="number" id="telefone" name="telefone" 
                               class="form-control">


                        </div>
                    </div>

                    <div class="col-sm-3">
                        <div class="form-group">
                            <label for="email">E-mail:</label>
                            <input type="email" id="email" name="email" 
                                class="form-control">

                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="descricao">Descrição:</label>
                            <textarea input type="text" id="descricao" name="descricao" 
                                class="form-control"></textarea>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <label for="ativo">Status:</label><br>
                        <select name="ativo" class="form-control">
                            <option selected="">
                            </option>
                            <option value="Ativo">Ativo</option>
                            <option value="Inativo">Inativo</option>
                        </select>
                    </div>
                </div>
            @elseif ($acao==2)
            <form method="POST" action="{{route('empresas.update', $reg->id)}}" enctype="multipart/form-data">
                {!! method_field('put') !!}
                <div class="row">
                    <div class="col-sm-2">
                        <div class="form-group">
                            <label for="empresa">Empresa:</label>
                            <input type="text" id="nome" name="nome" required onkeyup="maiuscula(this)"
                                value="{{$reg->nome}}" class="form-control">

                        </div>
                    </div>

                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="endereco">Endereço:</label>
                            <input type="text" id="endereco" name="endereco" onkeyup="maiuscula(this)"
                                value="{{$reg->endereco}}" class="form-control">

                        </div>
                    </div>

                    <div class="col-sm-2">
                        <div class="form-group">
                            <label for="cep">Cep:</label>
                            <input type="number" id="cep" name="cep"  value="{{$reg->cep}}"
                                class="form-control">


                        </div>
                    </div>

                    <div class="col-sm-2">
                        <div class="form-group">
                            <label for="cnpj">CNPJ:</label>
                            <input type="number" id="cnpj" name="cnpj"  value="{{$reg->cnpj}}"
                                class="form-control">


                        </div>
                    </div>

                    <div class="col-sm-2">
                        <div class="form-group">
                            <label for="telefone">Telefone:</label>
                            <input type="number" id="telefone" name="telefone" 
                                value="{{$reg->telefone}}" class="form-control">


                        </div>
                    </div>

                    <div class="col-sm-3">
                        <div class="form-group">
                            <label for="email">E-mail:</label>
                            <input type="email" id="email" name="email"  value="{{$reg->email}}"
                                class="form-control">

                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="descricao">Descrição:</label>
                            <textarea input type="text" id="descricao" name="descricao" 
                                value="{{$reg->descricao}}" class="form-control">{{$reg->descricao}}</textarea>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <label for="ativo">Status:</label><br>
                        <select name="ativo" class="form-control">
                            <option selected="{{$reg->ativo}}">{{$reg->ativo}}
                            </option>
                            <option value="Ativo">Ativo</option>
                            <option value="Inativo">Inativo</option>
                        </select>
                    </div>
                </div>
                @endif
                {{ csrf_field() }}

                
                <input type="hidden" id="users_id" name="users_id" required value="{{ Auth::user()->id }}">
                <input type="submit" value="Enviar" class="btn btn-success">
                <input type="reset" value="Limpar" class="btn btn-warning">

            </form>
    </div>

    @endsection

    @section('js')
    <script src="https://code.jquery.com/jquery-latest.min.js"></script>
    <script src="/js/jquery.mask.min.js"></script>


    @endsection
    @section('content')

    

resources/views/admin/empresas_list.blade.php
@extends('adminlte::page')

@section('title', 'Cadastro de Empresas')

@section('content_header')
<h1>Cadastro de Empresas
    <a href="{{ route('empresas.create') }}" class="btn btn-primary pull-right" role="button">Novo</a>
</h1>
@stop

@section('content')

@if (session('status'))
<div class="alert alert-success">
    {{ session('status') }}
</div>
@endif

<table class="table table-striped">
    <thead>
        <tr>


            <th>Empresa</th>
            <th>Endereço</th>
            <th>CEP</th>
            <th>CNPJ</th>
            <th>Telefone</th>
            <th>E-mail</th>
            <th>Obs.</th>
            <th>Alteração</th>
            <th>Status</th>
            <th>Ações</th>
        </tr>
    </thead>
    <tbody>
        @forelse ($empresas as $l)
        <tr>

            <td> {{$l->nome}} </td>
            <td> {{$l->endereco }} </td>
            <td> {{$l->cep }} </td>
            <td> {{$l->cnpj}} </td>
            <td> {{$l->telefone}} </td>
            <td> {{$l->email}} </td>
            <td> {{$l->descricao}} </td>
            <td> {{$l->users->name}} </td>
            <td> {{$l->ativo}} </td>
            <td>
                <a href="{{route('empresas.edit', $l->id)}}" class="btn btn-warning btn-sm" title="Alterar"
                    role="button"><i class="fa fa-edit"></i></a> &nbsp;&nbsp;
              <!--  <form style="display: inline-block" method="post" action="{{route('empresas.destroy', $l->id)}}"
                    onsubmit="return confirm('Confirma Exclusão?')">
                    {{method_field('delete')}}
                    {{csrf_field()}}
                    <button type="submit" title="Excluir" class="btn btn-danger btn-sm"><i
                            class="far fa-trash-alt"></i></button>
                </form> !-->
            </td>
            @if ($loop->iteration == $loop->count)
        <tr>
            <td colspan=8>Total de empresas cadastradas: {{$numEmpresas}}
            </td>
        </tr>
        @endif
        @empty
        <tr>
            <td colspan=8> Não há empresas cadastradas ou
                para o filtro informado </td>
        </tr>
        @endforelse

    </tbody>
</table>

{{ $empresas->links() }}
@stop

@section('js')
<script defer src="https://use.fontawesome.com/releases/v5.0.10/js/all.js"
    integrity="sha384-slN8GvtUJGnv6ca26v8EzVaR9DC58QEwsIk9q1QXdCU8Yu8ck/tL/5szYlBbqmS+" crossorigin="anonymous">
</script>
@endsection